//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Frame/SpecularFrame.h
//! @brief     Defines class SpecularFrame.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_FRAME_SPECULARFRAME_H
#define BORNAGAIN_GUI_VIEW_FRAME_SPECULARFRAME_H

#include <QWidget>

class Data1DItem;
class SpecularDataCanvas;

class SpecularFrame : public QWidget {
    Q_OBJECT
public:
    SpecularFrame(Data1DItem* item);

private:
    SpecularDataCanvas* m_specular_canvas;
};

#endif // BORNAGAIN_GUI_VIEW_FRAME_SPECULARFRAME_H
