//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Widget/FileDialog.h
//! @brief     Defines functions in namespace GUI::Dialog.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_WIDGET_FILEDIALOG_H
#define BORNAGAIN_GUI_VIEW_WIDGET_FILEDIALOG_H

#include <QString>

namespace GUI::Dialog {

//! Choose new or existing file.
//! Returns file name; may modify the default directory.
QString fileSaveDialog(const QString& caption, QString& default_directory, const QString& filter,
                       const QString& suggested_name = {});

//! Choose existing file.
//! Returns file name; may modify the default directory.
QString fileOpenDialog(const QString& caption, QString& default_directory, const QString& filter,
                       const QString& suggested_name = {});

} // namespace GUI::Dialog

#endif // BORNAGAIN_GUI_VIEW_WIDGET_FILEDIALOG_H
