//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Widget/ListItemDelegate.h
//! @brief     Defines class ListItemDelegate.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_WIDGET_LISTITEMDELEGATE_H
#define BORNAGAIN_GUI_VIEW_WIDGET_LISTITEMDELEGATE_H

#include <QStyledItemDelegate>

//! Styling for items in list.

class ListItemDelegate : public QStyledItemDelegate {
    Q_OBJECT
public:
    ListItemDelegate(QObject* parent);

protected:
    void paint(QPainter* painter, const QStyleOptionViewItem& option,
               const QModelIndex& index) const override;
    QSize sizeHint(const QStyleOptionViewItem& option, const QModelIndex& index) const override;
};

#endif // BORNAGAIN_GUI_VIEW_WIDGET_LISTITEMDELEGATE_H
