#### Check automatized formatting of C++ sources

foreach(dir ${AllComponents} Tests)
    file(GLOB_RECURSE src1 ${dir}/*.cpp)
    file(GLOB_RECURSE src2 ${dir}/*.h)
    add_test(NAME ClangFormat.${dir}
        COMMAND clang-format --dry-run --Werror ${src1} ${src2})
endforeach()

#### Check non-automatized C++ rules

add_test(NAME scg.CppStyle
    COMMAND ${Python3_EXECUTABLE} ${TOOL_DIR}/checks/check-scg-cpp-style.py
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

#### Check line lengths in Python examples

file(GLOB_RECURSE sources ${EXAMPLES_PUBL_DIR}/*.py)
add_test(NAME LineLength.PyExamples
    COMMAND ${Python3_EXECUTABLE} ${TOOL_DIR}/checks/check-line-length.py 85 ${sources})
